Bug 142660 - *** free(): invalid pointer *** when opening http://www
*** free(): invalid pointer *** when opening http://www
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: gnome-vfs2 (Show other bugs)
3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: David Zeuthen
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-12-11 19:15 EST by petrosyan
Modified: 2013-03-05 22:42 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-05-10 20:44:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description petrosyan 2004-12-11 19:15:54 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5) Gecko/20041111 Firefox/1.0

Description of problem:
if you run ggv with "http://www" as a command line argument you get a free() invalid pointer error.

$ ggv "http://www"
*** glibc detected *** free(): invalid pointer: 0x09edb5f4 ***


Version-Release number of selected component (if applicable):
ggv-2.8.0-1

How reproducible:
Always

Steps to Reproduce:
$ ggv "http://www"

Actual Results:  *** glibc detected *** free(): invalid pointer: 0x09edb5f4 ***


Additional info:
Comment 1 Sitsofe Wheeler 2004-12-12 09:34:04 EST
After poking about with valgrind I think this is a bug in gnome-vfs2-2.8.2-8 .
My attempts to pinpoint the exact spot using gdb weren't very successful though.

==17837==  Address 0x3466DD6C is 8492 bytes inside a block of size 8504 free'd
==17837==    at 0x341487C9: free (vg_replace_malloc.c:153)
==17837==    by 0x3470EDE8: ne_request_destroy (ne_request.c:687)
==17837==    by 0x34718BF6: ne_propfind_destroy (ne_props.c:574)
==17837==    by 0x3470B7C8: ??? (http-neon-method.c:1783)
==17837==    by 0x3470CDDA: ??? (http-neon-method.c:2820)
==17837==    by 0x42FDA18: gnome_vfs_get_file_info_uri_cancellable (in
/usr/lib/libgnomevfs-2.so.0.800.2)
==17837==    by 0x4316D12: gnome_vfs_get_file_info_uri (in
/usr/lib/libgnomevfs-2.so.0.800.2)
==17837==    by 0x4316D58: gnome_vfs_get_file_info (in
/usr/lib/libgnomevfs-2.so.0.800.2)
==17837==    by 0x8052CC3: ggv_window_load (ggv-window.c:1217)

Valgrind reports an invalid read before this too.
Comment 2 petrosyan 2005-03-30 15:38:25 EST
this bug still happens when you run:

$ ggv http://www

from the command line
Comment 3 Matthias Clasen 2005-04-24 23:04:59 EDT
Doesn't seem to happen here anymore with gnome-vfs2-2.10.0-3, so only an FC-3 
(and possibly RHEL) issue.
Comment 4 petrosyan 2005-05-10 20:44:56 EDT
ggv has been removed from FC4

Note You need to log in before you can comment on or make changes to this bug.